> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer Setup Session



## OpenAPI

````yaml /openapi/openhands-cloud.json post /api/billing/create-customer-setup-session
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/billing/create-customer-setup-session:
    post:
      tags:
        - Billing
      summary: Create Customer Setup Session
      operationId: >-
        create_customer_setup_session_api_billing_create_customer_setup_session_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateBillingSessionResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CreateBillingSessionResponse:
      properties:
        redirect_url:
          type: string
          title: Redirect Url
      type: object
      required:
        - redirect_url
      title: CreateBillingSessionResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````